curl --request GET \
--url https://api.poix.io/videos \
--header 'Authorization: Bearer <token>'{
"totalResults": 123,
"data": [
{
"id": "<string>",
"publishedAt": "<string>",
"channelId": "<string>",
"title": "<string>",
"description": "<string>",
"thumbnails": {
"default": {
"url": "<string>",
"width": 123,
"height": 123
},
"medium": {
"url": "<string>",
"width": 123,
"height": 123
},
"high": {
"url": "<string>",
"width": 123,
"height": 123
}
},
"channelTitle": "<string>",
"tags": [
"<string>"
],
"categoryId": "<string>",
"defaultLanguage": "<string>",
"defaultAudioLanguage": "<string>",
"viewCount": "<string>",
"likeCount": "<string>",
"commentCount": "<string>",
"topicCategories": [
"<string>"
],
"uploadStatus": "<string>",
"privacyStatus": "<string>",
"license": "<string>",
"embeddable": true,
"publicStatsViewable": true,
"madeForKids": true,
"hasPaidProductPlacement": true,
"localizations": {},
"categoryTitle": "<string>",
"duration": "<string>",
"parsedDuration": 123,
"captionsUrl": "<string>",
"videoFileUrl": "<string>",
"audioFileUrl": "<string>"
}
]
}Get details for a list of videos.
curl --request GET \
--url https://api.poix.io/videos \
--header 'Authorization: Bearer <token>'{
"totalResults": 123,
"data": [
{
"id": "<string>",
"publishedAt": "<string>",
"channelId": "<string>",
"title": "<string>",
"description": "<string>",
"thumbnails": {
"default": {
"url": "<string>",
"width": 123,
"height": 123
},
"medium": {
"url": "<string>",
"width": 123,
"height": 123
},
"high": {
"url": "<string>",
"width": 123,
"height": 123
}
},
"channelTitle": "<string>",
"tags": [
"<string>"
],
"categoryId": "<string>",
"defaultLanguage": "<string>",
"defaultAudioLanguage": "<string>",
"viewCount": "<string>",
"likeCount": "<string>",
"commentCount": "<string>",
"topicCategories": [
"<string>"
],
"uploadStatus": "<string>",
"privacyStatus": "<string>",
"license": "<string>",
"embeddable": true,
"publicStatsViewable": true,
"madeForKids": true,
"hasPaidProductPlacement": true,
"localizations": {},
"categoryTitle": "<string>",
"duration": "<string>",
"parsedDuration": 123,
"captionsUrl": "<string>",
"videoFileUrl": "<string>",
"audioFileUrl": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
An array of video IDs to retrieve data for.
The language to retrieve localized data in.
af, am, ar, as, az, be, bg, bn, bs, ca, cs, da, de, el, en-GB, en-IN, en, es, es-419, es-US, et, eu, fa, fi, fil, fr-CA, fr, gl, gu, hi, hr, hu, hy, id, is, it, iw, ja, ka, kk, km, kn, ko, ky, lo, lt, lv, mk, ml, mn, mr, ms, my, no, ne, nl, or, pa, pl, pt, pt-PT, ro, ru, si, sk, sl, sq, sr-Latn, sr, sv, sw, ta, te, th, tr, uk, ur, uz, vi, zh-CN, zh-HK, zh-TW, zu An array of fields to include in the response. If not provided, all fields will be returned.
Successful response
Total number of video details returned.
Array of video detail objects.
Show child attributes
The unique ID of the video.
The date and time when the video was published.
The ID of the channel that owns the video.
The title of the video.
The description of the video.
The thumbnails for the video, available in different sizes.
Show child attributes
The title of the channel that owns the video.
An array of tags associated with the video.
The ID of the category the video belongs to.
The default language of the video.
The default audio language of the video.
The number of views the video has received.
The number of likes the video has received.
The number of comments on the video.
An array of topic categories associated with the video.
The upload status of the video.
The privacy status of the video.
The license type of the video.
Indicates if the video can be embedded.
Indicates if the video statistics are publicly viewable.
Indicates if the video is made for kids.
Indicates if the video has paid product placement.
The title of the category the video belongs to.
The duration of the video.
The parsed duration of the video in seconds.
The URL for the video captions, if available.
The URL for the video file, if available.
The URL for the audio file, if available.